JAXB v2.2.6

## javax.xml.bind
Class DataBindingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.xml.bind.DataBindingException

All Implemented Interfaces:
  Serializable

    public class DataBindingException

extends RuntimeException

Exception that represents a failure in a JAXB operation.

This exception differs from `JAXBException` in that this is an unchecked exception, while `JAXBException` is a checked exception.

Since:
  JAXB2.1
See Also:
  `JAXB`, Serialized Form

Constructor Summary
`DataBindingException(String message, Throwable cause)`
`DataBindingException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataBindingException

    public DataBindingException(String message,
                                Throwable cause)

### DataBindingException

    public DataBindingException(Throwable cause)

JAXB v2.2.6

Comments to: spec-comments@jsr222.java.net
More information at: http://jaxb.java.net

Copyright © 2004-2011 Oracle